LabelPositionType (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Enum LabelPositionType

- java.lang.Object
- - java.lang.Enum<LabelPositionType>
  - - com.twosigma.beakerx.chart.xychart.plotitem.LabelPositionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LabelPositionType>

      public enum LabelPositionType
      extends java.lang.Enum<LabelPositionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE_INSIDE`
    `BASE_OUTSIDE`
    `CENTER`
    `VALUE_INSIDE`
    `VALUE_OUTSIDE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LabelPositionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LabelPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALUE_OUTSIDE

          public static final LabelPositionType VALUE_OUTSIDE

    - #### VALUE_INSIDE

          public static final LabelPositionType VALUE_INSIDE

    - #### CENTER

          public static final LabelPositionType CENTER

    - #### BASE_OUTSIDE

          public static final LabelPositionType BASE_OUTSIDE

    - #### BASE_INSIDE

          public static final LabelPositionType BASE_INSIDE

  - ### Method Detail

    - #### values

          public static LabelPositionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LabelPositionType c : LabelPositionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LabelPositionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null